Bug 47836 - Pentium MMX system - 386 Kernel Installed
Pentium MMX system - 386 Kernel Installed
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-07 20:47 EDT by Brian Z
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-10 12:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Z 2001-07-07 20:47:32 EDT
Description of Problem:
On a Pentium 166MMX system, the installed kernel is i386.  When compiling 
kernels, if I select the Pentium MMX option, the kernel compiles and runs 
great as i586.  Should the installer install the i586 kernel instead of 
the i386?  They are both on the CD.

Processor ID:
GenuineIntel Pentium(R)  167 MHz xA3 & mxA3
(This is according to Norton System Information.. is there a way to verify 
this is how Anaconda is reading it?)

How Reproducible:
Always since 6.0

Steps to Reproduce:
1. Install Red Hat Linux However You Please

Actual Results:
Got i386 Kernel

Expected Results:
Get i586 Kernel.

Additional Information:
Comment 1 Brent Fox 2001-07-10 12:16:36 EDT
No, we install the i386 kernel by default.  I think the reason for this is that
some non-intel processors report themselves as say, i586, but aren't 100%
compatible with intel i586...things can get ugly.  Defaulting to i386 seems to
work for the widest number of people.  But, you are free to install the 586 or
686 kernel later if you want.

Note You need to log in before you can comment on or make changes to this bug.